# BinaryProvider

interface BinaryProvider<T> : Provider<T>

Represents a binary that is created and configured as required.

#### Since

4.5

#### Parameters

<T>

The type of binary.

## Functions

configure
Link copied to clipboard
abstract fun configure(action: Action<in T>)
Registers an action to execute to configure the binary.
filter
Link copied to clipboard
abstract fun filter(spec: Spec<in T>): Provider<T>
flatMap
Link copied to clipboard
abstract fun <S> flatMap(transformer: Transformer<out @Nullable Provider<out S>, in T>): Provider<S>
get
Link copied to clipboard
abstract fun get(): T
getOrElse
Link copied to clipboard
abstract fun getOrElse(defaultValue: T): T
getOrNull
Link copied to clipboard
abstract fun getOrNull(): @Nullable T
isPresent
Link copied to clipboard
abstract fun isPresent(): Boolean
map
Link copied to clipboard
abstract fun <S> map(transformer: Transformer<out @Nullable S, in T>): Provider<S>
orElse
Link copied to clipboard
abstract fun orElse(value: T): Provider<T>
whenFinalized
Link copied to clipboard
abstract fun whenFinalized(action: Action<in T>)
Registers an action to execute when the binary has been configured.
zip
Link copied to clipboard
abstract fun <U, R> zip(right: Provider<U>, combiner: BiFunction<in T, in U, out @Nullable R>): Provider<R>